> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an Enrollment Snapshot Member Request

> The Enrollment Snapshot Member Request allows you to communicate the desired state of an employee's coverage elections during an employee's new hire period. You can use it in one of two cases:

* To enroll an employee and their dependents for the first time. Please reference the [New Hire Enrollment](#new-hire-enrollment) documentation section for more details.
* To amend and replace a previous New Hire member request with the latest complete set of coverage elections, described in this section below.


<Warning>
  The Member Request workflow is now deprecated in favor of using [Member
  Snapshot](/docs/members/using-snapshots/using-snapshots)
</Warning>


## OpenAPI

````yaml POST /api/v1/employees/{employee_id}/member_requests/enrollment_snapshot
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/employees/{employee_id}/member_requests/enrollment_snapshot:
    post:
      tags:
        - Member Requests
      summary: Create an Enrollment Snapshot Member Request
      description: >
        The Enrollment Snapshot Member Request allows you to communicate the
        desired state of an employee's coverage elections during an employee's
        new hire period. You can use it in one of two cases:


        * To enroll an employee and their dependents for the first time. Please
        reference the [New Hire Enrollment](#new-hire-enrollment) documentation
        section for more details.

        * To amend and replace a previous New Hire member request with the
        latest complete set of coverage elections, described in this section
        below.
      operationId: createEnrollmentSnapshotMemberRequest
      parameters:
        - description: The unique identifier of the employee related to the member request
          in: path
          name: employee_id
          required: true
          schema:
            example: 72af10df-a8b3-46f1-a114-ac36d4b8a6ea
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            examples:
              success:
                summary: >-
                  An Enrollment Snapshot request with employee and dependents
                  enrolling or waiving
                value:
                  coverages:
                    - carrier_config: {}
                      carrier_id: 9a0a7437-4097-4251-9e71-85384c0eb1c9
                      lines_of_coverage:
                        dental:
                          enrolling_members:
                            - id: 72af10df-a8b3-46f1-a114-ac36d4b8a6ea
                              member_type: employee
                              plan_id: ff033377-59e2-40df-8206-8cec3a725411
                            - id: 165d4537-be5f-4744-8a97-a5b10fcb75b1
                              member_type: dependent
                              plan_id: ff033377-59e2-40df-8206-8cec3a725411
                        vision:
                          enrolling_members:
                            - id: 72af10df-a8b3-46f1-a114-ac36d4b8a6ea
                              member_type: employee
                              plan_id: 08f9e430-9686-4b07-9e2c-6b26b8133dc3
                            - id: 165d4537-be5f-4744-8a97-a5b10fcb75b1
                              member_type: dependent
                              plan_id: 08f9e430-9686-4b07-9e2c-6b26b8133dc3
                      signature_date: '2020-01-15'
                  enrollment_type: new_hire
            schema:
              $ref: '#/components/schemas/MemberRequestEnrollmentSnapshotRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              example:
                body:
                  coverages:
                    - carrier_config: {}
                      carrier_id: 9a0a7437-4097-4251-9e71-85384c0eb1c9
                      lines_of_coverage:
                        dental:
                          enrolling_members:
                            - id: 72af10df-a8b3-46f1-a114-ac36d4b8a6ea
                              member_type: employee
                              plan_id: ff033377-59e2-40df-8206-8cec3a725411
                            - id: 165d4537-be5f-4744-8a97-a5b10fcb75b1
                              member_type: dependent
                              plan_id: ff033377-59e2-40df-8206-8cec3a725411
                        vision:
                          enrolling_members:
                            - id: 72af10df-a8b3-46f1-a114-ac36d4b8a6ea
                              member_type: employee
                              plan_id: 08f9e430-9686-4b07-9e2c-6b26b8133dc3
                            - id: 165d4537-be5f-4744-8a97-a5b10fcb75b1
                              member_type: dependent
                              plan_id: 08f9e430-9686-4b07-9e2c-6b26b8133dc3
                      signature_date: '2020-01-15'
                  enrollment_type: new_hire
                created: 1557512389
                employee_id: 72af10df-a8b3-46f1-a114-ac36d4b8a6ea
                id: 4f57e463-f4d5-4255-83d4-806b0cabaac5
                modified: 1564440756
                request_type: enrollment_snapshot
                result: {}
                status: processing
                transactions:
                  - a6e30204-87b2-4802-95a4-a156bd0f7435
              schema:
                $ref: '#/components/schemas/MemberRequestResult'
          description: Successful Response - Returns the new Member Request
components:
  schemas:
    MemberRequestEnrollmentSnapshotRequest:
      properties:
        coverages:
          description: List of coverages being added or waived with a set of carriers
          items:
            allOf:
              - $ref: '#/components/schemas/ApiBaseNewHireChangeCarrierCoverages'
            description: Information for a coverage being added or waived with each carrier
          minItems: 1
          type: array
        enrollment_type:
          description: Enrollment type of the enrollment snapshot member request
          enum:
            - new_hire
          type: string
        target_date:
          description: Date when the enrollment snapshot is effective
          pattern: ^([0-9]{4})(-)(1[0-2]|0[1-9])\2(3[01]|0[1-9]|[12][0-9])$
          type: string
      required:
        - coverages
        - enrollment_type
      type: object
      x-field_order:
        - enrollment_type
        - target_date
        - coverages
    MemberRequestResult:
      properties:
        body:
          description: >-
            Data required to execute a member request, varies depending on the
            request type
          type: object
        completed:
          description: Timestamp indicating when a member request was marked as completed
          readOnly: true
          type: integer
        created:
          description: The date the record was created
          type: integer
        employee_id:
          description: Unique identifier of the employee in Noyo
          format: uuid
          readOnly: true
          type: string
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        request_type:
          description: Transaction type for the member request
          enum:
            - demographic
            - new_hire
            - termination
            - open_enrollment
            - qualifying_life_event
            - enrollment_snapshot
            - cobra_enrollment
            - cobra_termination
            - cobra_open_enrollment
            - cobra_qualifying_life_event
          type: string
        result:
          description: >-
            Result from executing the member request, varies depending on the
            request type
          type: object
        status:
          description: Status of the member request
          enum:
            - processing
            - completed
            - failed
            - canceled
          type: string
        transactions:
          description: >-
            List of unique identifiers of all associated member transactions in
            Noyo
          items:
            format: uuid
            type: string
          type: array
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - body
        - created
        - employee_id
        - id
        - modified
        - request_type
        - result
        - status
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - completed
        - modified
        - employee_id
        - request_type
        - status
        - transactions
        - body
        - result
    ApiBaseNewHireChangeCarrierCoverages:
      properties:
        carrier_config:
          description: Carrier-specific data required for new hire enrollment
          type: object
        carrier_id:
          description: Unique identifier of the carrier in the Noyo system
          format: uuid
          type: string
        lines_of_coverage:
          allOf:
            - $ref: '#/components/schemas/ApiBaseNewHireMemberLinesOfCoverage'
          description: Enrollment and waiving information for each line of coverage
        signature_date:
          description: ISO-8601 date string for signature date
          pattern: ^([0-9]{4})(-)(1[0-2]|0[1-9])\2(3[01]|0[1-9]|[12][0-9])$
          type: string
      required:
        - carrier_config
        - carrier_id
        - lines_of_coverage
      type: object
      x-field_order:
        - carrier_id
        - carrier_config
        - signature_date
        - lines_of_coverage
    ApiBaseNewHireMemberLinesOfCoverage:
      properties:
        accident:
          allOf:
            - $ref: '#/components/schemas/ApiBaseNewHireMemberCoverageAction'
          description: Member transaction requests relating to accident coverage
        add:
          allOf:
            - $ref: >-
                #/components/schemas/ApiBaseNewHireMemberCoverageActionWithVolume
          description: Member transaction requests relating to AD&D coverage
        cancer:
          allOf:
            - $ref: '#/components/schemas/ApiBaseNewHireMemberCoverageAction'
          description: Member transaction requests relating to cancer coverage
        critical_illness:
          allOf:
            - $ref: >-
                #/components/schemas/ApiBaseNewHireMemberCoverageActionWithVolume
          description: Member transaction requests relating to critical illness coverage
        dental:
          allOf:
            - $ref: '#/components/schemas/ApiBaseNewHireMemberCoverageAction'
          description: Member transaction requests relating to dental coverage
        health_fund:
          allOf:
            - $ref: '#/components/schemas/BaseNewHireMemberCoverageActionWithVolume'
          description: Member transaction requests relating to health fund coverage
        hospital_indemnity:
          allOf:
            - $ref: '#/components/schemas/ApiBaseNewHireMemberCoverageAction'
          description: Member transaction requests relating to hospital indemnity coverage
        life:
          allOf:
            - $ref: >-
                #/components/schemas/ApiBaseNewHireMemberCoverageActionWithVolume
          description: Member transaction requests relating to life coverage
        ltd:
          allOf:
            - $ref: >-
                #/components/schemas/ApiBaseNewHireMemberCoverageActionWithVolume
          description: Member transaction requests relating to LTD coverage
        medical:
          allOf:
            - $ref: '#/components/schemas/ApiBaseNewHireMemberCoverageAction'
          description: Member transaction requests relating to medical coverage
        pharmacy:
          allOf:
            - $ref: '#/components/schemas/BaseNewHireMemberCoverageAction'
          description: Member transaction requests relating to pharmacy coverage
        std:
          allOf:
            - $ref: >-
                #/components/schemas/ApiBaseNewHireMemberCoverageActionWithVolume
          description: Member transaction requests relating to STD coverage
        vision:
          allOf:
            - $ref: '#/components/schemas/ApiBaseNewHireMemberCoverageAction'
          description: Member transaction requests relating to vision coverage
        wellness:
          allOf:
            - $ref: '#/components/schemas/BaseNewHireMemberCoverageAction'
          description: Member transaction requests relating to wellness coverage
      type: object
      x-field_order:
        - medical
        - dental
        - vision
        - life
        - add
        - std
        - ltd
        - accident
        - critical_illness
        - cancer
        - hospital_indemnity
    ApiBaseNewHireMemberCoverageAction:
      properties:
        enrolling_members:
          description: Details for members enrolling in coverage
          items:
            $ref: '#/components/schemas/ApiBaseMemberAddingCoverage'
          type: array
        waiving_members:
          description: Details for members waiving coverage
          items:
            $ref: '#/components/schemas/BaseMemberWaivingCoverage'
          type: array
      type: object
    ApiBaseNewHireMemberCoverageActionWithVolume:
      properties:
        enrolling_members:
          description: Details for members enrolling in coverage
          items:
            $ref: '#/components/schemas/ApiBaseMemberAddingCoverageWithVolume'
          type: array
        waiving_members:
          description: Details for members waiving coverage
          items:
            $ref: '#/components/schemas/BaseMemberWaivingCoverage'
          type: array
      type: object
    BaseNewHireMemberCoverageActionWithVolume:
      properties:
        enrolling_members:
          description: Details for members enrolling in coverage
          items:
            $ref: '#/components/schemas/BaseMemberAddingCoverageWithVolume'
          type: array
        waiving_members:
          description: Details for members waiving coverage
          items:
            $ref: '#/components/schemas/BaseMemberWaivingCoverage'
          type: array
      type: object
    BaseNewHireMemberCoverageAction:
      properties:
        enrolling_members:
          description: Details for members enrolling in coverage
          items:
            $ref: '#/components/schemas/BaseMemberAddingCoverage'
          type: array
        waiving_members:
          description: Details for members waiving coverage
          items:
            $ref: '#/components/schemas/BaseMemberWaivingCoverage'
          type: array
      type: object
    ApiBaseMemberAddingCoverage:
      properties:
        id:
          description: Unique identifier of the employee or dependent in Noyo
          format: uuid
          type: string
        member_type:
          description: Type of member adding coverage
          enum:
            - dependent
            - employee
          type: string
        plan_id:
          description: Unique identifier of the group plan in Noyo
          format: uuid
          type: string
      required:
        - id
        - member_type
      type: object
      x-field_order:
        - id
        - member_type
        - plan_id
        - volume
        - prior_coverage
    BaseMemberWaivingCoverage:
      properties:
        id:
          description: Unique identifier of the employee or dependent in Noyo
          format: uuid
          type: string
        member_type:
          description: Type of member waiving coverage
          enum:
            - dependent
            - employee
          type: string
        plan_id:
          description: Unique identifier of the group plan in Noyo
          format: uuid
          type: string
        reason:
          description: Reason the member is waiving coverage
          enum:
            - other-employee-group
            - other-spouse-group
            - other-parent-group
            - other-ind-on-exchange
            - other-ind-off-exchange
            - other-cobra
            - other-medicare
            - medicaid
            - medi-cal
            - va-coverage
            - tricare-coverage
            - retiree-coverage
            - no-coverage
            - voluntary-withdrawal
          type: string
      required:
        - id
        - member_type
        - reason
      type: object
    ApiBaseMemberAddingCoverageWithVolume:
      properties:
        id:
          description: Unique identifier of the employee or dependent in Noyo
          format: uuid
          type: string
        member_type:
          description: Type of member adding coverage
          enum:
            - dependent
            - employee
          type: string
        plan_id:
          description: Unique identifier of the group plan in Noyo
          format: uuid
          type: string
        volume:
          description: Elected volume for the type of coverage being selected
          format: int32
          type: integer
      required:
        - id
        - member_type
      type: object
    BaseMemberAddingCoverageWithVolume:
      properties:
        id:
          description: Unique identifier of the employee or dependent in Noyo
          format: uuid
          type: string
        member_type:
          description: Type of member adding coverage
          enum:
            - dependent
            - employee
          type: string
        plan_id:
          description: Unique identifier of the group plan in Noyo
          format: uuid
          type: string
        volume:
          description: Elected volume for the type of coverage being selected
          format: int32
          type: integer
      required:
        - id
        - member_type
        - plan_id
      type: object
    BaseMemberAddingCoverage:
      properties:
        id:
          description: Unique identifier of the employee or dependent in Noyo
          format: uuid
          type: string
        member_type:
          description: Type of member adding coverage
          enum:
            - dependent
            - employee
          type: string
        plan_id:
          description: Unique identifier of the group plan in Noyo
          format: uuid
          type: string
      required:
        - id
        - member_type
        - plan_id
      type: object

````